// *********************************************************************
// * Copyright (C) 2012 Luca Baldini (luca.baldini@pi.infn.it)         *
// *                                                                   *
// * For the license terms see the file LICENCE, distributed           *
// * along with this software.                                         *
// *********************************************************************
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


#include "plasduino.h"


void handshake(String name, String version) {
  Serial.begin(BAUD_RATE);
  String payload = name + "," + version + EOL_CHAR;
  Serial.print(payload);
}

void writeTimestamp(int pinNumber) {
  unsigned long timestamp = micros();
  int state = digitalRead(pinNumber);
  byte payload[] = {
    TIMESTAMP_HEADER | ((state & 0x1) << 3) | (pinNumber & 0x7),
    (timestamp >> 24) & 0xFF,
    (timestamp >> 16) & 0xFF,
    (timestamp >> 8 ) & 0xFF,
    timestamp & 0xFF
  };
  Serial.write(payload, sizeof(payload));
}

void writeAnalogReadout(byte pin) {
  int adc = analogRead(pin);
  unsigned long timestamp = millis();
  byte payload[] = {
    ANALOG_READOUT_HEADER | (pin & 0x7),
    (timestamp >> 24) & 0xFF,
    (timestamp >> 16) & 0xFF,
    (timestamp >> 8 ) & 0xFF,
    timestamp & 0xFF,
    (adc >> 8 ) & 0xFF,
    adc & 0xFF
  };
  Serial.write(payload, sizeof(payload));
}
