// *********************************************************************
// * Copyright (C) 2012 Luca Baldini (luca.baldini@pi.infn.it)         *
// *                                                                   *
// * For the license terms see the file LICENCE, distributed           *
// * along with this software.                                         *
// *********************************************************************
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


#ifndef plasduino_h
#define plasduino_h

// Conditional compilation for supporting both the post-1.0 and the pre-1.0
// arduino releases.
#if defined(ARDUINO) && ARDUINO >= 100
  #include "Arduino.h"
#else
  #include "WProgram.h"
#endif

#define BAUD_RATE 115200
#define EOL_CHAR "\n"

// Miscellanea.
#define TIMESTAMP_HEADER  0xA0
#define ANALOG_READOUT_HEADER 0xB0

// Open a serial connection and send out the sketch information.
void handshake(String name, String version);

// Write a timestamp (from micros()) to the serial port.
void writeTimestamp(int pinNumber);

// Write an analog reading (i.e. a timestamp from millis() and the actual
// adc value from an analogRead on a given pin) to the serial port.
void writeAnalogReadout(byte pin);

#endif
