//-*- Mode:c -*-
// *********************************************************************
// * Copyright (C) 2012 Carmelo Sgro (carmelo.sgro@pi.infn.it)         *
// * Copyright (C) 2012 Luca Baldini (luca.baldini@pi.infn.it)         *
// *                                                                   *
// * For the license terms see the file LICENCE, distributed           *
// * along with this software.                                         *
// *********************************************************************
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


#include <avr/interrupt.h>
#include <avr/io.h>
#include "shield_lab1.h"

String SKETCH_NAME = "timer_D2D3_rising";
String SKETCH_VERSION = "1.0.0";

byte running = 0;

void setup() {
  setupBoard();
  handshake(SKETCH_NAME, SKETCH_VERSION);
  attachInterrupt(PIN_DIGITAL_INPUT_A - 2, transmitA, RISING);
  attachInterrupt(PIN_DIGITAL_INPUT_B - 2, transmitB, RISING);
}

void loop() {
  if (Serial.available()) {
    running = Serial.read();
  }
}

void transmitA() {
  if (running) {
    writeTimestamp(PIN_DIGITAL_INPUT_A);
  }
}

void transmitB() {
  if (running) {
    writeTimestamp(PIN_DIGITAL_INPUT_B);
  }
}
